var visibilitySetId;
$.ajax({
    url: "https://hos.vistracks.com/api/v2/visibilitySets",
    type: "GET",
    contentType: "application/json",
    xhrFields: {
       withCredentials: true
    },
    crossDomain: true
}).done(function (data) {
	visibilitySetId = data[0].id;
});

var fieldList = [
	{
		"label" : "Asset Name",
		"id"   : "id_assetname",
		"value": "Asset01",
		"xmlTag": "name",
		"description": "Name of asset as displayed in the user interface"
	},
	{
		"label" : "Asset Type",
		"id"   : "id_assettype",
		"value": "Vehicle",
		"xmlTag": "assetType",
		"description": "Type of the asset, either Vehicle or Trailer"
	},
	{
		"label" : "VIN",
		"id"    : "id_vin",
		"value" : "ASSET-00000000001",
		"xmlTag": "vin"
	},
	{
		"label" : "License Plate",
		"id"    : "id_licenseplate",
		"value" : "AST-001",
		"xmlTag": "licensePlate"
	},
	{
		"label" : "Visibility Sets",
		"id"   : "id_visibilitysets",
		"xmlTag": "visibilitySetIds",
		"valueAsFunction" : function(val){
			res = [];
			res = [ visibilitySetId ];
			return res;
		},
		"description": "List of visibility sets associated with the user"
	}
];


// settings specific to "Asset" object
var collectionTag = "assets";
var itemTag = "asset";
var api = "/api/v2/assets";
var buttonLabel = "Create New Asset";

// modify the parameters below to reflect specific environment.

var user = "admin@myaccount.com";
var pwd = "admin";
createInputs(fieldList, buttonLabel, api, collectionTag, itemTag, user, pwd);