var visibilitySetId;
$.ajax({
    url: "https://hos.vistracks.com/api/v2/visibilitySets",
    type: "GET",
    contentType: "application/json",
    xhrFields: {
       withCredentials: true
    },
    crossDomain: true
}).done(function (data) {
	visibilitySetId = data[0].id;
});

var fieldList = [
	{
		"label" : "Equipment Name",
		"id"    : "id_equipmentname",
		"value" : "VEH-01",
		"xmlTag": "name"
	},
	{
		"label" : "Equipment Type",
		"id"    : "id_equipmenttype",
		"value" : "Vehicle",
		"xmlTag": "assetType"
	},
	{
		"label" : "VIN",
		"id"    : "id_vin",
		"value" : "VEH-0000000000001",
		"xmlTag": "vin"
	},
	{
		"label" : "License Plate",
		"id"    : "id_licenseplate",
		"value" : "VEH-001",
		"xmlTag": "licensePlate"
	},
	{
		"label" : "EldConnection Properties",
		"id"   : "id_elpdprops",
		"xmlTag": "eldConnectionProperties",
		"valueAsFunction" : function(val){
			res = {};
			res = { "eld_device" : "NONE" };
			return res;
		}
	},
	{
		"label" : "Visibility Sets",
		"id"   : "id_visibilitysets",
		"xmlTag": "visibilitySetIds",
		"valueAsFunction" : function(val){
			res = [];
			res = [ visibilitySetId ];
			return res;
		},
		"description": "List of visibility sets associated with the user"
	}
];

// settings specific to "user" object
var collectionTag = "equipment";
var itemTag = "equipment";
var api = "/api/v2/equipment";
var buttonLabel = "Create New Equipment";

// modify the parameters below to reflect specific environment.

var user = "admin@myaccount.com";
var pwd = "admin";
createInputs(fieldList, buttonLabel, api, collectionTag, itemTag, user, pwd);