var visibilitySetId, userRoleId;
$.ajax({
    url: "https://hos.vistracks.com/api/v2/visibilitySets",
    type: "GET",
    contentType: "application/json",
    xhrFields: {
       withCredentials: true
    },
    crossDomain: true
}).done(function (data) {
	visibilitySetId = data[0].id;
});

$.ajax({
    url: "https://hos.vistracks.com/api/v2/userRoles",
    type: "GET",
    contentType: "application/json",
    xhrFields: {
       withCredentials: true
    },
    crossDomain: true
}).done(function (data) {
	userRoleId = data.filter(function(userRole) {
		if (userRole.name === "USER_ROLE_WORKORDERASSIGNEE") {
			return userRole.id;
		}
	});
	userRoleId = userRoleId[0].id;
});

var fieldList = [
	{
		"label" : "Email",
		"id"   : "id_email",
		"value": "johndoejr@mail.com",
		"xmlTag": "email",
		"description": "Email address that uniquely identifies user within system"
	},
	{
		"label" : "First Name",
		"id"   : "id_firstName",
		"value": "John",
		"xmlTag": "firstName",
		"description": "First Name of user"
	},
	{
		"label" : "Last Name",
		"id"   : "id_lastName",
		"value": "Doe",
		"xmlTag": "lastName",
		"description": "Last Name of user"
	},
	{
		"label" : "Suffix",
		"id"   : "id_suffix",
		"value": "Jr.",
		"xmlTag": "suffix",
		"description": "Suffix of user"
	},
	{
		"label" : "Password",
		"id"   : "id_password",
		"value": "password",
		"xmlTag": "password",
		"description": "Initial password for user"
	},
	{
		"label" : "User Roles",
		"id"   : "id_role",
		"xmlTag": "userRoles",
		"valueAsFunction" : function(val){
			res = {};
			res = [{"id": userRoleId}];
			return res;
		},
		"description": "List of roles associated with the user"
	},
	{
		"label" : "Visibility Sets",
		"id"   : "id_visibilitysets",
		"xmlTag": "visibilitySetIds",
		"valueAsFunction" : function(val){
			res = [];
			res = [ visibilitySetId ];
			return res;
		},
		"description": "List of visibility sets associated with the user"
	}
];

// settings specific to "user" object
var collectionTag = "users";
var itemTag = "user";
var api = "/api/v2/users";
var buttonLabel = "Create New User";

// modify the parameters below to reflect specific environment.

var user = "admin@myaccount.com";
var pwd = "admin";
createInputs(fieldList, buttonLabel, api, collectionTag, itemTag, user, pwd);