var apiBase = "https://hos.vistracks.com";

function httpGet(theUrl)
{
	var xmlHttp = null;

	xmlHttp = new XMLHttpRequest();
	xmlHttp.open( "GET", theUrl, false );
	xmlHttp.withCredentials = true;
	//xmlHttp.setRequestHeader("Authorization", "Basic " + btoa("a:b"));
	
	xmlHttp.send( null );
	return xmlHttp.responseXML;
};

function createInputs(fieldList, buttonLabel, api, collectionTag, itemTag, user, pwd)
{
	var i = 0;
	document.write("<table>");
	for(i=0; i < fieldList.length; i++)
	{
		if(fieldList[i].valueAsFunction)
			continue;
		document.write("<tr>");
		document.write("<td><label>" + fieldList[i].label + ": </label></td><td><input id=\""+ fieldList[i].id + "\" value=\"" + fieldList[i].value + "\" style='width:calc(100% - 1px)'></td>" );
		document.write("</tr>");
	}
	document.write("</table><p>");
	var del = document.createElement('input');	// add button as document element
	del.type = 'button';
	del.id = "btnSubmit";
	del.value = buttonLabel;
	del.onclick = function()
	{
		var r = inputToJSON(fieldList, collectionTag, itemTag);
		var displayText = "Posted JSON: " + JSON.stringify([r], null, 2) + "";
		document.getElementById("xmlText").innerHTML = displayText;
		httpPostJSON(apiBase + api, r);
	};
	document.body.appendChild(del);
};

function httpPostJSON(theUrl, body)
{
	$(function () {
        $.ajax({
            url: theUrl,
            type: "POST",
            contentType: "application/json",
            data:  JSON.stringify([body]),
            xhrFields: {
               withCredentials: true
            },
            crossDomain: true
        }).done(function (data) {
                document.getElementById("postResponse").innerHTML = "Response JSON from POST: ";
                document.getElementById("postResponse").appendChild(document.createTextNode(JSON.stringify(data, null, 2)));
        }).fail(function(jqXHR, textStatus, error) {
            document.getElementById("postResponse").innerHTML = "";
            if (error == "Unauthorized")
                document.getElementById("postResponse").innerHTML =  "Error 401 (Unauthorized) encountered while attempting to contact the server. Try to log into a VisTracks account in another tab within this browser before creating any record.";
            else 
                document.getElementById("postResponse").innerHTML =  "POST has encountered an error. " + jqXHR.responseText; 
            	console.log(jqXHR);
            	console.log(textStatus);
            	console.log(error);
        });
	});

};

function inputToJSON(inputList, collectionName, elementName)
{
	var res = {};
	for(i=0; i < inputList.length; i++)
	{
		var field = inputList[i];
		if(field.valueAsAttr)
		{
			var attrDict = {}
			attrDict["_" + field.valueAsAttr] = document.getElementById(field.id).value;
			res[field.xmlTag] = attrDict;
		} else if(field.valueAsFunction)
		{
			res[field.xmlTag] = field.valueAsFunction(field.value);
		}
		else
			res[field.xmlTag] = document.getElementById(field.id).value;  // look up value from input element
	}
	var inner = {};
	inner[elementName] = res;
	var outer = {};
	outer[collectionName] = inner;
	return res;
};